%global common_configure --disable-unity --srcdir=..

Name:		  arc-theme
Version:	20190213
Release:	1%{?dist}
Summary:	Flat theme with transparent elements

License:	GPLv3+
URL:		  https://github.com/NicoHood/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fdupes
BuildRequires:	gtk3-devel
BuildRequires:  inkscape
BuildRequires:  optipng
BuildRequires:  sassc
BuildRequires:  gnome-shell

Requires:	filesystem
Requires:	gnome-themes-standard
Requires:	gtk-murrine-engine

%description
Arc is a flat theme with transparent elements for GTK 3, GTK 2 and	\
Gnome-Shell which supports GTK 3 and GTK 2 based desktop environments	\
like Gnome, Cinnamon, Budgie, Pantheon, XFCE, Mate, etc.

%prep
%autosetup -p 1
%{_bindir}/autoreconf -fiv

%build
%{__mkdir} -p regular solid
pushd regular
%{__ln_s} -f ../configure configure
%configure %{common_configure}
popd
pushd solid
%{__ln_s} -f ../configure configure
%configure --disable-transparency %{common_configure}
popd
%make_build -C regular
%make_build -C solid

%install
%make_install -C regular
%make_install -C solid

# Link duplicate files.
%fdupes -s %{buildroot}%{_datadir}


%files
%license AUTHORS COPYING
%doc README.md
%{_datadir}/themes/*

%changelog
* Tue Mar 19 2019 Tony James <tony@anthonyjames.org> - 20190213-1
- Update to version 20190213

* Sat Nov 03 2018 Tony James <tony@anthonyjames.org> - 20181022-1
- New upstream (https://github.com/NicoHood/arc-theme)
- Update to version 20181022
